
From: Hugh Dickins <hugh@veritas.com>

Remove use of FIRST_USER_PGD_NR from sys_mincore: it's inconsistent (no other
syscall refers to it), unnecessary (sys_mincore loops over vmas further down)
and incorrect (misses user addresses in ARM's first pgd).

Signed-off-by: Hugh Dickins <hugh@veritas.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/mm/mincore.c |    3 ---
 1 files changed, 3 deletions(-)

diff -puN mm/mincore.c~freepgt2-sys_mincore-ignore-first_user_pgd_nr mm/mincore.c
--- 25/mm/mincore.c~freepgt2-sys_mincore-ignore-first_user_pgd_nr	2005-04-06 18:22:04.000000000 -0700
+++ 25-akpm/mm/mincore.c	2005-04-06 18:22:04.000000000 -0700
@@ -118,9 +118,6 @@ asmlinkage long sys_mincore(unsigned lon
  	if (start & ~PAGE_CACHE_MASK)
 		goto einval;
 
-	if (start < FIRST_USER_PGD_NR * PGDIR_SIZE)
-		goto enomem;
-
 	limit = TASK_SIZE;
 	if (start >= limit)
 		goto enomem;
_
